
Core - Bug # 36184

Feature # 31893 (Resolved): Allow XCLASSes to be defined via ext_autoload.php

Status: Resolved Priority: Should have
Author: Tolleiv Nietsch Category:
Created: 2012-04-16 Assigned To: Tolleiv Nietsch
Updated: 2012-04-30 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: Remove XCLASS blocks from t3lib
Description

After #31893 the XCLASS blocks from within the Core can be remove. This issue covers all t3lib related "actions".

During the removal the classes t3lib_timeTrack and t3lib_TimeTrackNull should be declared to be "final" as they're not supposed to be
extended anyways (see inline docs).

Patch should not be merged before #36183 is done and merged - otherwise dbal will be broken on master.

Associated revisions
Revision 6be80a5d - 2012-04-29 15:50 - Tolleiv Nietsch

[BUGFIX] Remove XCLASS inclusion blocks from t3lib

After #31893 is merged we can remove the XCLASS blocks from the
Core. This patchset removes it from the classes within t3lib.

Besides that it declares t3lib_TimeTrackNull and t3lib_TimeTrack
to be final to make sure that extending them is still denied.

This patchset itself should not be merged before the related patch
for EXT:dbal (#31183) is merged.

Change-Id: I09e5253191972ac4b3b033aeb770758690ea3755
Fixes: #36184
Releases: 6.0
Reviewed-on: http://review.typo3.org/10556
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision c7692cc3 - 2012-06-23 23:42 - Tolleiv Nietsch

[BUGFIX] Remove XCLASS inclusion blocks from t3lib

After #31893 is merged we can remove the XCLASS blocks from the
Core. This patchset removes it from the classes within t3lib.
Besides that it declares t3lib_TimeTrackNull and t3lib_TimeTrack
to be final to make sure that extending them is still denied.

This patchset itself should not be merged before the related patch
for EXT:dbal (#31183) is merged.

Change-Id: I09e5253191972ac4b3b033aeb770758690ea3755
Fixes: #36184
Releases: 6.0
Reviewed-on: http://review.typo3.org/10556
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2012-04-16 23:48 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10556

#2 - 2012-04-17 11:16 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10556

#3 - 2012-04-29 15:34 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10556

#4 - 2012-04-29 15:37 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10556

#5 - 2012-04-30 02:30 - Tolleiv Nietsch
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6be80a5dda85abd6601638b67bf501f61c6d2148.
